Subject: bug#10181: 24.0.92; [wishlist] split `diff-refine-change' in several faces

From: Stefan Monnier <[email-masked]>
Date: Wed, 23 May 2012 09:53:09 -0400

>>> +      (if (not (or (face-equal diff-changed-face diff-added-face)
>>> +		   (face-equal diff-changed-face diff-removed-face)))
>> Please introduce a defvar for it, so we don't re-evaluate the face
>> comparison for each and every line.
> This defvar needs to be re-evaluated when the user customized faces.

Which rarely happens after loading diff-mode.el, so I wouldn't worry
about it.  That also lets the user set the variable explicitly if she
wants to (after all, the faces can be different in one frame but
equal in another, so the above test is not 100% foolproof anyway).

The rest of the patch looks OK,

        Stefan